> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Login

> Retrieves a token given a valid user email and password.



## OpenAPI

````yaml POST /api/v1/auth/login
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/auth/login:
    post:
      tags:
        - Authentication
      summary: Login
      description: Retrieves a token given a valid user email and password.
      operationId: login
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  description: >-
                    Email address for your account. Must be a valid email
                    address.
                  example: test@example.com
                password:
                  type: string
                  description: Password for your account.
                  example: 5m2gM20451lC0!
                workspace_id:
                  type: string
                  description: Workspace ID for your account.
                  example: 01kfy63vz7v5w25nk0xa3xsj5g
              required:
                - email
                - password
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 429
                    name: my-api-key
                    token: null
                    created_at: '2026-05-01T06:37:59.000000Z'
                    expires_at: null
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 429
                      name:
                        type: string
                        example: architecto eius factory token
                      token:
                        type: string
                        example: null
                        nullable: true
                      created_at:
                        type: string
                        example: '2026-05-01T06:37:59.000000Z'
                      expires_at:
                        type: string
                        example: null
                        nullable: true
      security: []
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````